QConnection(3qt)

NAME
QConnection - Internal class, used in the signal/slot mechanism

SYNOPSIS

#include <qconnection.h>

  Public Members
QConnection ( const QObject *, QMember, const char * memberName )
~QConnection ()
bool isConnected () const
QObject* object () const
QMember* member () const
const char* memberName () const
int numArgs () const

DESCRIPTION
The QConnection class is an internal class, used in the signal/slot mechanism.

Do not use this class directly in application programs.

MEMBER FUNCTION DOCUMENTATION

QConnection::QConnection ( const QObject * object, QMember member, const char * memberName )
For internal use only.

QConnection::~QConnection ()
For internal use only.

bool QConnection::isConnected () const
For internal use only.

QMember * QConnection::member () const
For internal use only.

const char * QConnection::memberName () const
For internal use only.

int QConnection::numArgs () const
For internal use only.

QObject * QConnection::object () const
For internal use only.

SEE ALSO
http://www.troll.no/qt/qconnection.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.